Bug 1887362 - egress ip outages [NEEDINFO]
Summary: egress ip outages
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Daniel Mellado
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-12 09:04 UTC by yaoli
Modified: 2020-10-19 07:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-19 07:45:56 UTC
Target Upstream Version:
dmellado: needinfo? (yaoli)
dmellado: needinfo? (yaoli)


Attachments (Terms of Use)

Description yaoli 2020-10-12 09:04:45 UTC
Description of problem:

Our customer enable egress ip, by Ipam Operator, after assign engress ip then the egress ip can not connected, all pod can not access external network by engress ip,after remove the egress ip those pod access internel normally, checking the sdn log find there is some information

I1012 03:34:32.814395       1 egressip.go:186] Node 192.169.2.140 may be offline... retrying
I1012 03:34:35.886380       1 egressip.go:186] Node 192.169.2.139 may be offline... retrying
I1012 03:34:40.886576       1 egressip.go:186] Node 192.169.2.141 may be offline... retrying
I1012 03:34:45.886783       1 egressip.go:186] Node 192.169.2.142 may be offline... retrying
I1012 03:34:50.886980       1 egressip.go:186] Node 192.169.2.142 may be offline... retrying
I1012 03:34:53.998404       1 egressip.go:186] Node 192.169.2.140 may be offline... retrying
I1012 03:34:57.071388       1 egressip.go:186] Node 192.169.2.139 may be offline... retrying
I1012 03:35:00.142436       1 egressip.go:186] Node 192.169.2.141 may be offline... retrying
W1012 03:35:03.214406       1 egressip.go:181] Node 192.169.2.139 is offline
W1012 03:35:06.286375       1 egressip.go:181] Node 192.169.2.141 is offline
W1012 03:35:09.358390       1 egressip.go:181] Node 192.169.2.142 is offline
W1012 03:35:12.430385       1 egressip.go:181] Node 192.169.2.140 is offline

I found there is a similar bug on OCP 3.11

https://bugzilla.redhat.com/show_bug.cgi?id=1717639

But this time customer env is OCP 4.5.7

Version-Release number of selected component (if applicable):
4.5.7

Comment 8 Stephen Cuppett 2020-10-14 12:27:24 UTC
Setting target release to the active development branch (4.7.0). For any fixes, where required and requested, cloned BZs will be created for those release maintenance streams where appropriate once they are identified.

Setting a tentative severity based on description as provided.


Note You need to log in before you can comment on or make changes to this bug.